de.esprit.netsuite.server.cfg

## Class AbstractServerParameters

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.cfg.ServerConfigObject
      - - de.esprit.netsuite.server.cfg.AbstractServerParameters

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ServerParams, ServerStartup

      public abstract class AbstractServerParameters
      extends ServerConfigObject
      implements Clearable

  This class encapsulates the common part of server configuration key processing.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractServerParameters(java.lang.String configFileName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the content
    `protected abstract NdfHandler` | `createNdfHandler()`
    `protected abstract NdfWriter` | `createNdfWriter(ApplicationContext ctx, java.io.File configDir)`
    `boolean` | `equalValues(AbstractServerParameters params)` Compares the values of both parameter maps.
    `protected abstract void` | `fillDefaultValues(NdfProperties props)`
    `NdfProperties` | `getProperties()`
    `void` | `read(ApplicationContext ctx, java.io.File configDir)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `void` | `write(ApplicationContext ctx, java.io.File configDir)` Saves the current parameters in the file they where loaded from.

    - ### Methods inherited from class de.esprit.netsuite.server.cfg.ServerConfigObject

      `configFileIn, equals, getConfigFileName, hashCode, read, toString, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractServerParameters

          protected AbstractServerParameters(java.lang.String configFileName)

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`

    - #### getProperties

          public final NdfProperties getProperties()

    - #### equalValues

          public boolean equalValues(AbstractServerParameters params)

      Compares the values of both parameter maps.
      Returns:
        false if any of the values does not match.

    - #### write

          public final void write(ApplicationContext ctx,
                   java.io.File configDir)
                           throws java.lang.Exception

      Saves the current parameters in the file they where loaded from.
      Specified by:
        `write` in class `ServerConfigObject`
      Throws:
        `java.io.IOException`
        `java.lang.Exception`

    - #### read

          public void read(ApplicationContext ctx,
                  java.io.File configDir)
                    throws java.lang.Exception

      Specified by:
        `read` in class `ServerConfigObject`
      Throws:
        `java.lang.Exception`

    - #### fillDefaultValues

          protected abstract void fillDefaultValues(NdfProperties props)

    - #### createNdfHandler

          protected abstract NdfHandler createNdfHandler()

    - #### createNdfWriter

          protected abstract NdfWriter createNdfWriter(ApplicationContext ctx,
                                  java.io.File configDir)

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.